<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InterfaceViaRouteResult_V2 StructType
 * @subpackage Structs
 */
class InterfaceViaRouteResult_V2 extends ViaRouteResult
{
    /**
     * The Reference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Reference;
    /**
     * Constructor method for InterfaceViaRouteResult_V2
     * @uses InterfaceViaRouteResult_V2::setReference()
     * @param bool $reference
     */
    public function __construct($reference = null)
    {
        $this
            ->setReference($reference);
    }
    /**
     * Get Reference value
     * @return bool
     */
    public function getReference()
    {
        return $this->Reference;
    }
    /**
     * Set Reference value
     * @param bool $reference
     * @return \StructType\InterfaceViaRouteResult_V2
     */
    public function setReference($reference = null)
    {
        // validation for constraint: boolean
        if (!is_null($reference) && !is_bool($reference)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($reference, true), gettype($reference)), __LINE__);
        }
        $this->Reference = $reference;
        return $this;
    }
}
